
package com.jeelowcode.core.framework.config.aspect.enhance.model;

import com.jeelowcode.core.framework.entity.EnhanceSqlEntity;

import java.util.List;

/**
 * @author JX
 * @create 2024-08-21 15:52
 * @dedescription:
 */
public class BuildSqlEnhanceContext {


    private EnhanceContext context;

    private List<EnhanceSqlEntity> entitys;

    private List<EnhanceSqlEntity> setOperations;

    public EnhanceContext getContext() {
        return context;
    }

    public void setContext(EnhanceContext context) {
        this.context = context;
    }

    public List<EnhanceSqlEntity> getEntitys() {
        return entitys;
    }

    public void setEntitys(List<EnhanceSqlEntity> entitys) {
        this.entitys = entitys;
    }

    public List<EnhanceSqlEntity> getSetOperations() {
        return setOperations;
    }

    public void setSetOperations(List<EnhanceSqlEntity> setOperations) {
        this.setOperations = setOperations;
    }

    public BuildSqlEnhanceContext(EnhanceContext context, List<EnhanceSqlEntity> entitys, List<EnhanceSqlEntity> setOperations) {
        this.context = context;
        this.entitys = entitys;
        this.setOperations = setOperations;
    }
}
